package logic

import (
	"context"
	"net/http"

	"dag-jupyter/internal/svc"
	"dag-jupyter/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type GreetLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewGreetLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GreetLogic {
	return &GreetLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *GreetLogic) Greet() (resp *types.Response, err error) {
	// todo: add your logic here and delete this line

	return &types.Response{Data: "pong!", Code: http.StatusOK}, nil
}
